Subject: Re: [ippm] question on the reordering draft 09

From: Lei Liang <[email-masked]>
Date: Fri, 01 Apr 2005 14:31:11 +0100

Hi, Al,
  Thanks for your quick explanation. the definition of the NextExp is
clear enough in the draft. the only thing I suggest is to clarify that S
and NextExp that are going to be compared are not associated to the same
packet but two subsequently received packets at destination.

cheers,
Lei

On Thu, 2005-03-31 at 20:03, Al Morton wrote:
> Lei,
> Thanks for your comment, see below:
> 
> At 11:28 AM 03/31/2005, Lei Liang wrote:
> >Dear all,
> >   I am confused when reading the definition of the Type-P-Reordered
> >(part 3.3) when it talks about the reordered and in-order. It says:
> >
> >   The value of Type-P-Reordered is defined as TRUE if s < NextExp (the
> >packet is reordered).
> >
> >    The value of Type-P-Reordered is defined as FALSE if s >= NextExp
> >    (the packet is in-order).
> 
> Both paragraphs above go on to say how to determine NextExp so that
> the next arriving packet can be evaluated.
> 
> >Then, as I understand it says a packet with sequence number S < the
> >expected sequence number of the following packet should be reordered.
> >the example can be given as a packet with sequence number of 3 and NextExp
> >of 4 is not in order???? it doesn't make sense.
> 
> Right, it doesn't make sense to calculate NextExp using the
> packet that you are trying to evaluate. Whether or not NextExp is
> re-calculated is conditioned on the outcome of the s to NextExp
> comparison. So the sentences you left out above are very important.
> 
> >or, it means that the sequence number s should be compared with the
> >NextExp number of the previous packet.
> 
> Yes, that's what we said when introducing the "next expected" concept in
> Section 3.0.
> 
> >then the example becomes as a packet
> >with sequence number of 3 is not in order because the previous packet has a
> >metric parameter NextExp=4. this make sense.
> >Seems to me, the two explanations can both fit the definition. And I suggest
> >to stress the NextExp in the definition to clarify that it's belong to the
> >previous packet rather than the current measured one.
> >cheers,
> >lei Liang
> 
> Will this help you (added second sentence)?
> 
> +  NextExp, the Next Expected Sequence number at the Destination,
>     in units of messages. This stored value in NextExp is determined
>     from a previously arriving packet.
> 
> Al
> 
> 
> _______________________________________________
> ippm mailing list
> [email-masked] 
> https://www1.ietf.org/mailman/listinfo/ippm

_______________________________________________
ippm mailing list
[email-masked] 
https://www1.ietf.org/mailman/listinfo/ippm